Update user
curl --request PUT \
--url https://int-api.mx.com/users/{user_guid} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"user": {
"email": "email@provider.com",
"id": "My-Unique-ID",
"is_disabled": false,
"metadata": "{\\\"first_name\\\": \\\"Steven\\\", \\\"last_name\\\": \\\"Universe\\\"}"
}
}
'import requests
url = "https://int-api.mx.com/users/{user_guid}"
payload = { "user": {
"email": "email@provider.com",
"id": "My-Unique-ID",
"is_disabled": False,
"metadata": "{\\"first_name\\": \\"Steven\\", \\"last_name\\": \\"Universe\\"}"
} }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user: {
email: 'email@provider.com',
id: 'My-Unique-ID',
is_disabled: false,
metadata: '{\"first_name\": \"Steven\", \"last_name\": \"Universe\"}'
}
})
};
fetch('https://int-api.mx.com/users/{user_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": {
"email": "email@provider.com",
"guid": "USR-d74cb14f-fd0a-449f-991b-e0362a63d9c6",
"id": "My-Unique-ID",
"is_disabled": false,
"metadata": "{\\\"first_name\\\": \\\"Steven\\\", \\\"last_name\\\": \\\"Universe\\\"}"
}
}Users
Update user
PUT
/
users
/
{user_guid}
Update user
Use this endpoint to update the attributes of the specified user.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
Body
application/json
User object to be updated (None of these parameters are required, but the user object cannot be empty.)
Response
200 - application/vnd.mx.api.v1+json
OK
Hide child attributes
Hide child attributes
Example:
"email@provider.com"
Example:
"USR-d74cb14f-fd0a-449f-991b-e0362a63d9c6"
Example:
"My-Unique-ID"
Example:
false
Example:
"{\\\"first_name\\\": \\\"Steven\\\", \\\"last_name\\\": \\\"Universe\\\"}"
⌘I

